SwitchTracking = LibStub("AceAddon-3.0"):NewAddon("SwitchTracking", "AceConsole-3.0", "AceEvent-3.0")
local timer = LibStub("AceTimer-3.0")

function SwitchTracking:OnInitialize()
  SwitchTracking.tracking = 1;
  SwitchTracking:Print("Initialized");
end

function SwitchTracking.doSwitch()
  if (SwitchTracking.tracking == 1) then
   SwitchTracking.tracking = 2;
  else
    SwitchTracking.tracking = 1;
  end

  SwitchTracking:Print("Switching Tracking to: " .. SwitchTracking.tracking );
  SetTracking(SwitchTracking.tracking);
end

function SwitchTracking:OnEnable()
  SwitchTracking:Print("Registering Timer");
  timer:ScheduleRepeatingTimer(SwitchTracking.doSwitch, 5, nil);
end
